<?php
// ini_set('display_errors', 1);
// error_reporting(E_ALL);

define("ADMIN", true);
require_once("../../common/lib.php");
require_once("../../common/define.php");
define("TITLE_ELEMENT", 'Transfert de stock');
if(!isset($_SESSION['user'])){
    header("Location: /admin/login.php");
    exit();
}
require_once("../includes/fn_module.php");  

// Récupération des paramètres GET ou POST
$id = $_GET['id'] ; // Dépôt source


// Variables pour les messages
$message = '';
$message_type = ''; // 'success', 'error', 'warning'

// Si le formulaire est soumis
if ($_SERVER['REQUEST_METHOD'] == 'GET') {
  
  
                            // Enregistrer le mouvement dans la table pm_mouvement_stock
                            $query_be = "SELECT * FROM `pm_mouvement_stock` WHERE id =".$id;
							$result_be = @$db->query($query_be);

							if ($result_be !== false) {
								$row_be = $result_be->fetch();
								$qte = $row_be['qte'];
								$id_depot_source = $row_be['id_source'];
								$id_depot_dest = $row_be['id_depot'];
								$id_produit = $row_be['id_produits'];
								$id_be = $row_be['id_be'];
                                
								
								
								// Mettre à jour la table pm_depot_stock pour réduire le stock du dépôt source
                                // $update_source_query = "UPDATE pm_depot_stock SET qte = qte - ".$qte." WHERE id_depot = ".$id_depot_source." AND id_produits = ".$id_produit;
							    $update_source_query = "UPDATE pm_depot_stock SET qte = qte - ".$qte." WHERE id_depot = ".$id_depot_source." AND id_produits = ".$id_produit." AND ref_id  = ".$id_be;
                                // 	
								
								
								@$db->query($update_source_query);
							  
								$update_dest_query = "INSERT INTO pm_depot_stock (id_depot, id_produits, qte, ref_id) 
													  VALUES ('".$id_depot_dest."', '".$id_produit."', '".$qte."', '".$id_be."') 
													  ON DUPLICATE KEY UPDATE 
													  qte = IF(ref_id = '".$id_be."', qte + ".$qte.", qte)";
                                @$db->query($update_dest_query);
								
	                            $update_source_query = "UPDATE pm_mouvement_stock SET status = 1 , validate_date = '".time()."', validate_user = '".$_SESSION['user']['id']."' WHERE id =".$id;
								@$db->query($update_source_query);							
								
								

                                // Message de succès
                                $message = "Le transfert a été effectué avec succès.";
                                $message_type = 'success';
                                // Redirection après succès
                                header("Location: ".$_SERVER['HTTP_REFERER']);
                                exit();
                            } else {
                                $message = "Erreur lors de l'enregistrement du mouvement de stock.";
                                $message_type = 'error';
                            }  
  
  
  
  
}

echo $message;

?>
